public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/paprefs/
Date: Mon, 28 Jan 2019 09:39:44 +0000 (UTC)	[thread overview]
Message-ID: <1548667606.614fbf602a3f0bca80b71c70d6676b4b3c38425e.polynomial-c@gentoo> (raw)

commit:     614fbf602a3f0bca80b71c70d6676b4b3c38425e
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 28 09:16:52 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jan 28 09:26:46 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=614fbf60

media-sound/paprefs: Bump to version 1.1

Package-Manager: Portage-2.3.58, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-sound/paprefs/Manifest           |  1 +
 media-sound/paprefs/paprefs-1.1.ebuild | 47 ++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/media-sound/paprefs/Manifest b/media-sound/paprefs/Manifest
index 09c30341a13..b171a431fad 100644
--- a/media-sound/paprefs/Manifest
+++ b/media-sound/paprefs/Manifest
@@ -1 +1,2 @@
 DIST paprefs-0.9.11_pre20180621.tar.xz 221100 BLAKE2B d8f79865a0ce6d4491ea252fdef65e700d1ad4cfc253d8b0415a6cd454fe60685a3d647c8720cb50f85033a7bb0d411c404b4d50c43b320bd728390a8056c1de SHA512 650e365b77d9d9beee4dc62b7ba5d367b55a9f0e95f39ca1e75d210dab05820b4d3485a34366e6e341fafe55b5c6ee458088666937e0220c3d91bd68aa327c53
+DIST paprefs-1.1.tar.xz 69144 BLAKE2B 9809bb73156be1e4020679637c1203524a0ccc5f5e1fb3696724925bb196cd397e433c22e993e7353cfaadd38260980676af6ace2cac795c0b615298d1d85805 SHA512 4203fcb485b40223a5c8672fdbbd2875a25d05d85366773015728f54a17020098ee9e9fd1c02180c01799e100b99389c970855fc1bd69921d32d8e43c749ce76

diff --git a/media-sound/paprefs/paprefs-1.1.ebuild b/media-sound/paprefs/paprefs-1.1.ebuild
new file mode 100644
index 00000000000..5918d87e637
--- /dev/null
+++ b/media-sound/paprefs/paprefs-1.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit flag-o-matic meson xdg-utils
+
+DESCRIPTION="PulseAudio Preferences, configuration dialog for PulseAudio"
+HOMEPAGE="https://freedesktop.org/software/pulseaudio/paprefs"
+SRC_URI="https://freedesktop.org/software/pulseaudio/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+RDEPEND="dev-cpp/atkmm
+	dev-cpp/glibmm:2
+	dev-cpp/gtkmm:3.0
+	dev-libs/glib:2
+	>=dev-libs/libsigc++-2.2:2
+	>=media-sound/pulseaudio-12.0-r1[glib]
+	x11-libs/gtk+:3
+	|| (
+		x11-themes/tango-icon-theme
+		x11-themes/adwaita-icon-theme
+	)"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	sys-devel/gettext
+	virtual/pkgconfig
+"
+
+src_configure() {
+	append-cxxflags -std=c++11 #568590
+	local mymesonargs=(
+		-Dlynx=false
+	)
+	meson_src_configure
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


             reply	other threads:[~2019-01-28 19:09 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-01-28  9:39 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-27 13:06 [gentoo-commits] repo/gentoo:master commit in: media-sound/paprefs/ Sam James
2022-12-09 22:13 Sam James
2022-07-09  3:06 Sam James
2022-01-29  8:34 Miroslav Šulc
2022-01-28 21:51 Sam James
2022-01-28 10:11 Jakov Smolić
2021-12-28  8:26 Miroslav Šulc
2021-02-16  2:12 Matt Turner
2019-06-05  8:59 David Seifert
2019-04-08 17:38 Aaron Bauman
2018-12-28  7:48 Mart Raudsepp
2018-12-02 14:29 Mikle Kolyada
2018-12-02 10:12 Mikle Kolyada
2018-06-21 15:07 Lars Wendler
2016-11-27 11:21 Pacho Ramos
2015-12-19 11:10 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1548667606.614fbf602a3f0bca80b71c70d6676b4b3c38425e.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox